"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328160>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffae3281f0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328280>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328310>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffae3283a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328430>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffae3284c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328550>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffae3285e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328670>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328700>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328790>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328820>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffae3288b0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328940>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffae3289d0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328a60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328af0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328b80>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328c10>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328ca0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328d30>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328dc0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328e50>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328f70>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffae328ee0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b040>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b0d0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b160>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b1f0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b280>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b310>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b3a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b430>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b4c0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b550>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b5e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b670>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b700>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b790>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b820>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b8b0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b940>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32b9d0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32ba60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32baf0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32bb80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32bc10>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32bca0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32bd30>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32bdc0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32be50>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32bee0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32bf70>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e040>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e0d0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e160>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e1f0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e280>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e310>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e3a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e430>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e4c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e550>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e5e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e790>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e670>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e820>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e8b0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e940>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32e9d0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32ea60>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32eb80>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32eaf0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32ec10>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32eca0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32ed30>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32ee50>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32edc0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32eee0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffae32ef70>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffae333040>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffae3330d0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffae333160>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffae3331f0>)]
name: str = 'fr_HOCCN'
